TabStopPolicy (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene.text, class: TabStopPolicy

# Class TabStopPolicy

java.lang.Object
javafx.scene.text.TabStopPolicy

public final class TabStopPolicy extends Object
The TabStopPolicy determines the tab stop positions within the text layout.

Since:
  25

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `defaultInterval`
  Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabStopPolicy()`
  Constructs a new `TabStopPolicy` instance, with an empty list of stops.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final DoubleProperty`
  `defaultIntervalProperty()`
  Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`.
  `final double`
  `getDefaultInterval()`
  Gets the value of the `defaultInterval` property.
  `final void`
  `setDefaultInterval(double value)`
  Sets the value of the `defaultInterval` property.
  `final ObservableList<TabStop>`
  `tabStops()`
  The list of tab stops.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### defaultInterval

    public final DoubleProperty defaultIntervalProperty
    Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`. This is a fixed repeating distance (in pixels) to the next tab stop computed at regular intervals relative to the leading edge of the `TextFlow` node.

    A value of less than or equal 0 disables the default interval.

    Default value:
      0
    See Also:
      - `getDefaultInterval()`
      - `setDefaultInterval(double)`
      - `defaultIntervalProperty()`

- ## Constructor Details

  - ### TabStopPolicy

    public TabStopPolicy()
    Constructs a new `TabStopPolicy` instance, with an empty list of stops.

- ## Method Details

  - ### tabStops

    public final ObservableList<TabStop> tabStops()
    The list of tab stops.
    Returns:
      the non-null list of tab stops

  - ### defaultIntervalProperty

    public final DoubleProperty defaultIntervalProperty()
    Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`. This is a fixed repeating distance (in pixels) to the next tab stop computed at regular intervals relative to the leading edge of the `TextFlow` node.

    A value of less than or equal 0 disables the default interval.

    Default value:
      0
    Returns:
      the default tab interval property
    See Also:
      - `getDefaultInterval()`
      - `setDefaultInterval(double)`

  - ### getDefaultInterval

    public final double getDefaultInterval()
    Gets the value of the `defaultInterval` property.
    Property description:
      Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`. This is a fixed repeating distance (in pixels) to the next tab stop computed at regular intervals relative to the leading edge of the `TextFlow` node.

      A value of less than or equal 0 disables the default interval.

    Default value:
      0
    Returns:
      the value of the `defaultInterval` property
    See Also:
      - `setDefaultInterval(double)`
      - `defaultIntervalProperty()`

  - ### setDefaultInterval

    public final void setDefaultInterval(double value)
    Sets the value of the `defaultInterval` property.
    Property description:
      Specifies the default tab stop interval for tabs beyond the last stop provided by `tabStops()`. This is a fixed repeating distance (in pixels) to the next tab stop computed at regular intervals relative to the leading edge of the `TextFlow` node.

      A value of less than or equal 0 disables the default interval.

    Default value:
      0
    Parameters:
      `value` - the value for the `defaultInterval` property
    See Also:
      - `getDefaultInterval()`
      - `defaultIntervalProperty()`